## xdiskusage 1.46

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 SHELL=/bin/sh
 
 PROGRAM = xdiskusage
-VERSION = 1.44
+VERSION = 1.46
 
 CXXFILES = panels.C xdiskusage.C
 
-LIBS = -lfltk
+#LIBS = -lfltk
 # You may need this to link with a shared version of fltk:
-#LIBS = -lfltk -lGL -lGLU -lglut
+LIBS = -lfltk -lGL -lGLU -lglut
 
 MANPAGE = 1
