## xdiskusage 1.48

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
 SHELL=/bin/sh
 
 PROGRAM = xdiskusage
-VERSION = 1.46
+VERSION = 1.48
 
 CXXFILES = panels.C xdiskusage.C
 
-#LIBS = -lfltk
 # You may need this to link with a shared version of fltk:
-LIBS = -lfltk -lGL -lGLU -lglut
+LIBS =
 
 MANPAGE = 1
 
@@ -18,7 +17,7 @@
 all:	$(PROGRAM)
 
 $(PROGRAM) : $(OBJECTS)
-	$(CXX) $(CXXFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)
 
 makeinclude: configure
 	./configure
@@ -69,9 +68,9 @@
 OBJECTS_D = $(CXXFILES:.C=.do) $(CFILES:.c=.do)
 
 .C.do :
-	$(CXX) -I.. $(CXXFLAGS_D) -c -o $@ $<
+	$(CXX) $(CXXFLAGS_D) -c -o $@ $<
 .c.do :
-	$(CC) -I.. $(CFLAGS_D) -c -o $@ $<
+	$(CC) $(CFLAGS_D) -c -o $@ $<
 
 $(PROGRAM_D) : $(OBJECTS_D)
-	$(CXX) $(CXXFLAGS_D) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)
+	$(CXX) $(LDFLAGS_D) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)
