=== debian/changelog ===
xdiskusage (1.48-11) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1041420)
  * debian/control:
    + Use debhelper compat v13. (Closes: #965891)
    + Bump Standards-Version to 4.6.2.
    + Add Vcs-* fields.
  * debian/rules:
    + Migrate to dh. (Closes: #999001)
  * debian/clean: Manually add files to clean.
  * debian/patches/11_patch_makefile_use_destdir.patch: Add patch
    so that installation recognizes DESTDIR variable.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Aug 2023 01:15:18 -0400

xdiskusage (1.48-10.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by avoiding redeclared variable names in
    nested scopes (Closes: #667419).

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 May 2012 14:01:23 +0200

xdiskusage (1.48-10) unstable; urgency=low

  * Support disk >4.3TB from upstream cvs rev1.22 (Closes: #555323)
  * Used Ki, Mi and Gi instead of K, M and G (Closes: #323971)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sat, 03 Apr 2010 20:03:11 +0300

xdiskusage (1.48-9) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards-Version to 3.8.4

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Tue, 30 Mar 2010 15:41:28 +0300

xdiskusage (1.48-8) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.0
    + Used Homepage field
    + Updated debhelper to >= 6
  * debian/compat:
    + Updated debhelper compat level to 6.
  * debian/rules:
    + Check Makefile if it exists
    + Added LDFLAGS = -Wl,--as-needed
  * debian/watch:
    + Used version 3
  * debian/menu:
    + Updated section to "Application/File Management"
  * Updated and merged patches for man page. (Closes: #447855)
  * Check the standard input if it is closed or /dev/null.
    Thanks to Carles Pina i Estany. (Closes: #435792, #276193)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 27 Jul 2008 21:19:05 +0300

xdiskusage (1.48-7) unstable; urgency=low

  * debian/control: use dpatch instead of cdbs.
  * Use patches instead of modify directly the upstream release (#306703).
  * xdiskusage.C: sync with the upstream (#174026)
  * Acknowledge NMUs (Closes: #322232, #346781).

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 27 Aug 2006 23:28:07 +0300

xdiskusage (1.48-6) unstable; urgency=low

  * Acknowledge NMU (Closes: #375227).
  * New maintainer (Closes: #383913). Thanks to the last maintainer Cyril Bouthors.
  * Bumped standards-version to 3.7.2 .
  * debian/control: Added Homepage.
  * debian/copyright: Updated FSF address.

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Thu, 24 Aug 2006 22:21:05 +0300

xdiskusage (1.48-5.3) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on libglu1-mesa-dev instead of xlibmesa-glu-dev, since the
    latter no longer exists; fixes FTBFS, patch from Andreas Jochens.
    (Closes: #373889)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 24 Jun 2006 12:48:01 +0200

xdiskusage (1.48-5.2) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #346781)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 17:22:57 +0100

xdiskusage (1.48-5.1) unstable; urgency=low

  * NMU
  * Rebuild to transition to the new C++ ABI: new libstdc++, new libfltk
    (closes: #322232).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 20 Aug 2005 13:44:24 +0200

xdiskusage (1.48-5) unstable; urgency=low

  * Fixed typos in upstream xdiskusage.1 and xdiskusage.spec (closes:
    #306703).

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 30 May 2005 12:21:07 +0300

xdiskusage (1.48-4) unstable; urgency=low

  * Applied patch to compile under AMD64 with GCC 4 (closes: #297845).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 23 Mar 2005 21:08:51 +0100

xdiskusage (1.48-3) unstable; urgency=low

  * Added xlibs-dev to Build-Depends (closes: #276337, #276304).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 13 Oct 2004 15:57:32 +0200

xdiskusage (1.48-2) unstable; urgency=low

  * Added xlibs-static-dev, libx11-dev and libxext-dev to Build-Depends.
    It looks like a bug in the upstream configure.in because probably
    don't need those libs, I'll ask Bill Spitzak about that (closes:
    #276304).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 13 Oct 2004 12:43:34 +0200

xdiskusage (1.48-1) unstable; urgency=low

  * New maintainer (closes: #275776).  I have to thank Carlos Laviola for
    his time and work regarding the xdiskusage Debian package during the
    last three years and a half.  Thank you Carlos.
  * New upstream release.
  * Applied patch from Jim Meyering to deal with filenames longer than
    1024 caracters (closes: #174026).
  * debian/rules: updated 'clean' target to remove autoconf generated
    files from the diff output.
  * debian/menu: invoke xdiskusage directly to avoid a lintian warning and
    a dependancy to /bin/sh (please see also bug number 276193).

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 12 Oct 2004 10:44:56 +0200

xdiskusage (1.47-4) unstable; urgency=low

  * Orphaned.  Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Carlos Laviola <claviola@debian.org>  Sun, 10 Oct 2004 04:09:11 -0300

xdiskusage (1.47-3) unstable; urgency=high

  * debian/rules: Actually install the program into the deb...  I can't
    believe I missed this.  I am very sorry.  (Closes: #267251)
  * debian/dirs: Removed /usr/sbin.

 -- Carlos Laviola <claviola@debian.org>  Sun, 22 Aug 2004 00:25:02 -0300

xdiskusage (1.47-2) unstable; urgency=low

  * Bumped Standards-Version to 3.6.1.1.
  * Package is created with the Common Debian Build System (cdbs) now.
  * Tidied up debian/copyright a bit, updating some information.
  * Modified the Makefile to remove config.{cache,log,status} when 'clean' is
    called during the build process.


