## xdiskusage 1.60

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL=/bin/sh
 
 PROGRAM = xdiskusage
-VERSION = 1.48
+VERSION = 1.60
 
 CXXFILES = panels.C xdiskusage.C
 
@@ -17,18 +17,21 @@
 all:	$(PROGRAM)
 
 $(PROGRAM) : $(OBJECTS)
-	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)
+	$(CXX) -o $(PROGRAM) $(OBJECTS) `fltk-config --ldflags` $(CXXFLAGS) $(LDFLAGS)
 
-makeinclude: configure
+configure: configure.in
+	autoconf
+
+makeinclude: configure makeinclude.in
 	./configure
 include makeinclude
 
 .SUFFIXES : .fl .do .C .c .H
 
 .C.o :
-	$(CXX) $(CXXFLAGS) -c $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $<
 .C :
-	$(CXX) $(CXXFLAGS) -c $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $<
 .fl.C :
 	-fluid -c $<
 .fl.H :
@@ -39,13 +42,15 @@
 	@touch makedepend
 
 depend:
-	$(MAKEDEPEND) -I.. $(CXXFLAGS) $(CXXFILES) $(CFILES) > makedepend
+	$(MAKEDEPEND) -I.. $(CPPFLAGS) $(CXXFILES) $(CFILES) > makedepend
 makedepend:
 	touch makedepend
 include makedepend
 
 install: $(PROGRAM)
+	-@mkdir -p $(bindir)
 	$(INSTALL) -s $(PROGRAM) $(bindir)/$(PROGRAM)
+	-@mkdir -p $(mandir)/man$(MANPAGE)
 	$(INSTALL) $(PROGRAM).$(MANPAGE) $(mandir)/man$(MANPAGE)/$(PROGRAM).$(MANPAGE)
 
 uninstall:
@@ -68,9 +73,13 @@
 OBJECTS_D = $(CXXFILES:.C=.do) $(CFILES:.c=.do)
 
 .C.do :
-	$(CXX) $(CXXFLAGS_D) -c -o $@ $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS_D) -c -o $@ $<
 .c.do :
 	$(CC) $(CFLAGS_D) -c -o $@ $<
 
 $(PROGRAM_D) : $(OBJECTS_D)
-	$(CXX) $(LDFLAGS_D) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)
+	$(CXX) -o $(PROGRAM_D) $(OBJECTS_D) `fltk-config --ldflags` $(CXXFLAGS_D) $(LDFLAGS)
+
+# Used to make the version that is gzipped and uploaded to web site
+static : $(OBJECTS)
+	$(CXX) -o $(PROGRAM) $(OBJECTS) `fltk-config --ldstaticflags` $(CXXFLAGS) $(LDFLAGS)
