=== debian/changelog ===
xdiskusage (1.60-7) unstable; urgency=medium

  * Adopt package & move it to FTLK namespace (Closes: #1064911),
    co-maintainers are welcome.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 11:48:37 +0200

xdiskusage (1.60-6) unstable; urgency=medium

  * QA upload.
  * Switch to fltk1.4

  [ Marcos Talau ]
  * debian/watch: add missing dash

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 May 2025 13:51:57 +0200

xdiskusage (1.60-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Add Rules-Requires-Root field.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/watch:
    - Add @TAGS@.
    - Update to version 4.

 -- Pedro Morais Mendes <pedromorais.dev@gmail.com>  Sun, 01 Dec 2024 15:24:07 -0300

xdiskusage (1.60-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1094911)

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Feb 2024 12:30:12 -0500

xdiskusage (1.60-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/rules: Avoid configure in make distclean to avoid FTCBFS.
    (Closes: #1059720)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jan 2024 15:24:01 -0500

xdiskusage (1.60-2) unstable; urgency=medium

  * debian/docs: Dropped, we use debian/xdiskusage.docs.
  * New version actually solves stalled behavior with certain
    file names. (Closes: #873572) (LP: #1269089)
  * New version now recognizes UTF-8 filenames. (Closes: #311435)
  * debian/control: Add build-dependency on fluid in fltk1.3.
  * debian/rules: Explicitly pass CPPFLAGS/CXXFLAGS/LDFLAGS to
    Makefile during build.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Aug 2023 12:15:33 -0400

xdiskusage (1.60-1) unstable; urgency=medium

  * New upstream version 1.60.
    + Fix crash with du output. (Closes: #922943)
  * debian/: Apply wrap-and-sort -abst.
  * Use libfltk 1.3 to replace 1.1 (Closes: #974625)
  * debian/rules: Use compiler exported from buildtools.mk.
    (Closes: #870847, #319221)
  * debian/patches: Drop patches merged upstream:
    - 05_xdiskusage.C_support_4.3TB_and_more.patch
    - 10_fix_ftbfs_with_gcc_4.7.patch
  * debian/patches: Refresh patches:
    - 11_patch_makefile_use_destdir.patch
    - 06_xdiskusage.C_used_Ki_Mi_Gi.patch
  * debian/patches: Drop patch that is no longer applicable.
    - 04_xdiskusage.C_check_standard_input.patch (no side effect)

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Aug 2023 11:40:03 -0400
