=== debian/control ===
Source: xdiskusage
Section: x11
Priority: optional
Maintainer: Alexandre Detiste <tchet@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 fluid,
 libcairo2-dev,
 libfltk1.4-dev,
 libglu1-mesa-dev,
 libx11-dev,
 libxinerama-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://xdiskusage.sourceforge.net/
Vcs-Git: https://salsa.debian.org/fltk-team/xdiskusage.git
Vcs-Browser: https://salsa.debian.org/fltk-team/xdiskusage

Package: xdiskusage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Displays a graphic of your disk usage with du
 xdiskusage is a user-friendly program to show you what is using up
 all your disk space. It is based on the design of the "xdu" program
 written by Phillip C. Dykstra. Changes have been made so it runs "du"
 for you, and can display the free space left on the disk, and produce
 a PostScript version of the display.
