=== debian/watch ===
version=4
https://@PACKAGE@.sourceforge.net/@PACKAGE@-(.*)@ARCHIVE_EXT@
